# FilePageNextとFilePagePreviousの__init__を上書きする(v6.15で確認)
# セーブ、ロード画面で、ページ移動をトグルするようにする
init -1 python:
    # 何故か必要
    config.has_quicksave = True
    #最大ページ数
    max_page = 8

    # 末尾で最初に戻るように改造
    def FilePageNext2(self):

        page = persistent._file_page

        if page == "auto":
            if config.has_quicksave:
                page = "quick"
            else:
                page = "1"

        elif page == "quick":
            page = "1"

        else:
            page = int(page) + 1

            if page > max_page:
                if config.has_autosave:
                    page = "auto"
                elif config.has_quicksave:
                    page = "quick"
                else:
                    page = "1"

            if page is not None:
                page = str(page)

        self.page = page
    FilePageNext.__init__ = FilePageNext2
    # 末尾で最後に戻るように改造
    def FilePagePrevious2(self):

        page = persistent._file_page
    
        if page == "auto":
            page = str(max_page)

        elif page == "quick":
            if config.has_autosave:
                page = "auto"
            else:
                page = str(max_page)

        elif page == "1":
            if config.has_quicksave:
                page = "quick"
            elif config.has_autosave:
                page = "auto"
            else:
                page = str(max_page)

        else:
            page = str(int(page) - 1)

        self.page = page
    FilePagePrevious.__init__ = FilePagePrevious2
